---

mariadb_root_password: "{{ vault__mariadb.root }}"

mariadb_databases:
  - name: grafana
    collation: utf8mb4_bin
    encoding: utf8mb4

mariadb_users:
  - name: grafana
    host: '%'
    password: "{{ vault__mariadb.grafana }}"
    priv: "grafana.*:ALL"
    encrypted: false

mariadb_config_mysqld:
  bind-address: 127.0.0.1
  skip-external-locking:
  skip-name-resolve: 1
  performance_schema: 1
  expire_logs_days: 2
  max_connections: 40

  datadir: /opt/mariadb/data
  tmpdir: /opt/mariadb/tmp
  log_error: /opt/mariadb/log/error.log
  slow_query_log_file: /opt/mariadb/log/mysql-slow.log

...
